# The following should match PROGRAM, VERSION and RELEASE in the
# Makefile accompanying this program (and the .tgz defined in Source
# below.

%define builddir $RPM_BUILD_DIR/%{name}-%{version}.%{release}

Summary: A beowulf/cluster/LAN monitoring tool

Name: wulfstat
Version: 1.0.0
Release: 1
Group: Applications/System
Copyright: Open Source (GPL v2b)
Source: %{name}-%{version}.tgz
Requires: libxml2
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root

%description 

wulfstat is a simple yet powerful tty (ncurses) based cluster monitoring
tool.  It requires xmlsysd (running on each system to be monitored) to
efficiently provide it with system and proc-derived information that is
processed and provided to the user in one of several user-selectable
display formats.  With it a user can monitor things across en entire
beowulf, cluster, or workstation LAN systems descriptors such as load
average, memory consumption, swap, page, and interrupt activity and
network loads or can even retrieve and display such mundane information
is CPU make and base clock, system time, uptime or other potentially
useful but slowly varying system descriptors.  The information presented
is updated regularly after a user-selectable delay.  The tool allows
displays to be selected or changed while the application is running, and
more hosts or nodes can be displayed than will easily fit on a single
e.g. xterm by paging through them with key-based commands.

%prep
%setup -q -n %{name}

%build
make clean
make

%install
make PREFIX=%{buildroot}/usr install

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{builddir}

%files 
%defattr(-,root,root)
# The wulfstat binary
%attr(755,root,root) /usr/bin/wulfstat
# The wulfstat man page
%attr(644,root,root) /usr/share/man/man1/wulfstat.1.gz

# The wulfstat docs (not much here, actually)
%doc README COPYING CHANGELOG wulfhosts.example

%post

%postun

%changelog
* Wed Apr  29 2002 Robert G. Brown <rgb@duke.edu>
- Working stably for a few weeks.  Going into beta.
* Wed Mar  13 2002 Robert G. Brown <rgb@duke.edu>
- set up and built for RH 7.2
